Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 294320

Summary: dev-perl/Net-Google-SafeBrowsing-Blocklist-1.04 fails tests
Product: Gentoo Linux Reporter: Patrick Lauer <patrick>
Component: New packagesAssignee: Gentoo Perl team <perl>
Status: RESOLVED FIXED    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://rt.cpan.org/Public/Bug/Display.html?id=52020
Whiteboard: UPSTREAM
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 300119    

Description Patrick Lauer gentoo-dev 2009-11-23 23:00:19 UTC
>>> Compiling source in /var/tmp/portage/dev-perl/Net-Google-SafeBrowsing-Blocklist-1.04/work/Net-Google-SafeBrowsing-Blocklist-1.04 ...
 * Using ExtUtils::MakeMaker
Checking if your kit is complete...
Looks good
Writing Makefile for Net::Google::SafeBrowsing::Blocklist
make -j5 OTHERLDFLAGS=-Wl,-O1
cp lib/Net/Google/SafeBrowsing/Blocklist.pm blib/lib/Net/Google/SafeBrowsing/Blocklist.pm
>>> Source compiled.
make -j5 test TEST_VERBOSE=0
PERL_DL_NONLAZY=1 /usr/bin/perl5.8.8 "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-load................^M                                                                             ^Mt/00-load................ok 1/1# Testing Net::Google::SafeBrowsing::Blocklist 1.04, Perl 5.008008, /usr/bin/perl5.8.8
^M                                                                             ^Mt/00-load................ok
t/01-canonicalization....# Testing IP address canonicalization...
# Canonicalize IP '12.0x12.01234' => '12.18.2.156'
# Canonicalize IP '167838211' => '10.1.2.3'
^M                                                                             ^Mt/01-canonicalization....ok 1/21# Canonicalize IP '276.2.3' => '20.2.3.0'
# Canonicalize IP '1.2.3.4' => '1.2.3.4'
# Canonicalize IP '0x10000000b' => '0.0.0.11'
# Canonicalize IP '0x12.0x43.0x44.0x01' => '18.67.68.1'
# Canonicalize IP '012.034.01.055' => '10.28.1.45'
# URI escape 'http://..google..com../' => 'http://google.com/'
Label empty at /usr/lib64/perl5/vendor_perl/5.8.8/URI/_server.pm line 24
# Looks like you planned 21 tests but ran 7.
# Looks like your test exited with 255 just after 7.
^M                                                                             ^Mt/01-canonicalization....dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 8-21
        Failed 14/21 tests, 33.33% okay
t/pod....................^M                                                                             ^Mt/pod....................ok 1/1^M                                                                             ^Mt/pod....................ok
Failed Test             Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/01-canonicalization.t  255 65280    21   28 133.33%  8-21
Failed 1/3 test scripts, 66.67% okay. 14/23 subtests failed, 39.13% okay.
make: *** [test_dynamic] Error 255
 * ERROR: dev-perl/Net-Google-SafeBrowsing-Blocklist-1.04 failed:
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-11-24 08:04:55 UTC
Interesting, seems to be related to the new dev-perl/URI.

With URI-1.38, it works fine.
With URI-1.5x, it fails.

Filed upstream now, see URL.
Comment 2 Torsten Veller (RETIRED) gentoo-dev 2010-08-16 16:21:07 UTC
I guess [0] fixed it in latest URI:

[0] http://gitorious.org/perl-uri/mainline/commit/64f3cbb8251e5d429f086e1243cc254c944d0295
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-10-11 20:30:29 UTC
URI-1.6x works fine here